Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.document
Interface ISchedulingRuleProvider

    public interface ISchedulingRuleProvider

A scheduling rule provider provides a scheduling rule which can be used when running operations.

Method Summary
`ISchedulingRule` `getSchedulingRule()` Returns the scheduling rule.

Method Detail

### getSchedulingRule

    ISchedulingRule getSchedulingRule()

  Returns the scheduling rule.

  Returns:
    a scheduling rule or `null` if none

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.